#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Dist-CheckConflicts
Version		:	0.11
Release		:	16.2.0.rel%{?dist}
Summary		:	Declare version conflicts for your dist
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
One shortcoming of the CPAN clients that currently exist
is that they have no way of specifying conflicting downstream
dependencies of modules. This module attempts to work around
this issue by allowing you to specify conflicting versions
of modules separately, and deal with them after the module
is done installing.

For instance, say you have a module Foo, and some other
module Bar uses Foo. If Foo were to change its API in a
non-backwards-compatible way, this would cause Bar to
break until it is updated to use the new API. Foo can't
just depend on the fixed version of Bar, because this will
cause a circular dependency (because Bar is already depending
on Foo), and this doesn't express intent properly anyway -
Foo doesn't use Bar at all. The ideal solution would be for
there to be a way to specify conflicting versions of modules
in a way that would let CPAN clients update conflicting modules
automatically after an existing module is upgraded, but until
that happens, this module will allow users to do this manually.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%license LICENSE
%{_datadir}/perl5/core_perl/Dist/CheckConflicts.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
